class Admin::ArchiveExamCollegesController < OrbitAdminController

  def initialize
    super
    @app_title = 'archive_exam'
  end

  def index
    @archive_exam_colleges = ArchiveExamCollege.all
    @url = admin_archive_exam_college_path(@archive_exam_colleges)
  end

  def create
    @archive_exam_college = ArchiveExamCollege.new(archive_exam_college_params)
    @archive_exam_college.save
    redirect_to request.referer, :status => 303
  end

  def create_in_form
    @archive_exam_college = ArchiveExamCollege.new(archive_exam_college_params)
    @archive_exam_college.save
    render :json => {:id=>@archive_exam_college.id.to_s, :title=>@archive_exam_college.title}.to_json ,:layout => false
  end

  def update
    @archive_exam_college = ArchiveExamCollege.find(params[:id])
    @archive_exam_college.update_attributes(archive_exam_college_params)
    redirect_to request.referer, :status => 303
  end

  def toggle
    @archive_exam_college = ArchiveExamCollege.find(params[:id])
    @archive_exam_college.save!
    redirect_to request.referer, :status => 303
  end

  def delete_colleges
    colleges = ArchiveExamCollege.find(params[:ids].split(',')) rescue nil
    if colleges
      colleges.each(&:destroy)
    end
    redirect_to request.referer, :status => 303
  end

  private

  def archive_exam_college_params
    params.require(:archive_exam_college).permit!
  end

end
