class Admin::ArchiveExamDepartmentsController < OrbitAdminController

  def initialize
    super
    @app_title = 'archive_exam'
  end

  def index
    @archive_exam_departments = ArchiveExamDepartment.all
    @url = admin_archive_exam_department_path(@archive_exam_departments)
  end

  def create
    @archive_exam_department = ArchiveExamDepartment.new(archive_exam_department_params)
    @archive_exam_department.save
    redirect_to request.referer, :status => 303
  end

  def create_in_form
    @archive_exam_department = ArchiveExamDepartment.new(archive_exam_department_params)
    @archive_exam_department.save
    render :json => {:id=>@archive_exam_department.id.to_s, :title=>@archive_exam_department.title}.to_json ,:layout => false
  end

  def update
    @archive_exam_department = ArchiveExamDepartment.find(params[:id])
    @archive_exam_department.update_attributes(archive_exam_department_params)
    redirect_to request.referer, :status => 303
  end

  def toggle
    @archive_exam_department = ArchiveExamDepartment.find(params[:id])
    @archive_exam_department.save!
    redirect_to request.referer, :status => 303
  end

  def delete_departments
    departments = ArchiveExamDepartment.find(params[:ids].split(',')) rescue nil
    if departments
      departments.each(&:destroy)
    end
    redirect_to request.referer, :status => 303
  end

  private

  def archive_exam_department_params
    params.require(:archive_exam_department).permit!
  end

end
