class Admin::ArchiveExamGradesController < OrbitAdminController

  def initialize
    super
    @app_title = 'archive_exam'
  end

  def index
    @archive_exam_grades = ArchiveExamGrade.all
    @url = admin_archive_exam_grade_path(@archive_exam_grades)
  end

  def create
    @archive_exam_grade = ArchiveExamGrade.new(archive_exam_grade_params)
    @archive_exam_grade.save
    redirect_to request.referer, :status => 303
  end

  def create_in_form
    @archive_exam_grade = ArchiveExamGrade.new(archive_exam_grade_params)
    @archive_exam_grade.save
    render :json => {:id=>@archive_exam_grade.id.to_s, :title=>@archive_exam_grade.title}.to_json ,:layout => false
  end

  def update
    @archive_exam_grade = ArchiveExamGrade.find(params[:id])
    @archive_exam_grade.update_attributes(archive_exam_grade_params)
    redirect_to request.referer, :status => 303
  end

  def toggle
    @archive_exam_grade = ArchiveExamGrade.find(params[:id])
    @archive_exam_grade.save!
    redirect_to request.referer, :status => 303
  end

  def delete_grades
    grades = ArchiveExamGrade.find(params[:ids].split(',')) rescue nil
    if grades
      grades.each(&:destroy)
    end
    redirect_to request.referer, :status => 303
  end

  private

  def archive_exam_grade_params
    params.require(:archive_exam_grade).permit!
  end

end
