class Admin::ArchiveExamSubjectsController < OrbitAdminController

  def initialize
    super
    @app_title = 'archive_exam'
  end

  def index
    @archive_exam_subjects = ArchiveExamSubject.all
    @url = admin_archive_exam_subject_path(@archive_exam_subjects)
  end

  def create
    @archive_exam_subject = ArchiveExamSubject.new(archive_exam_subject_params)
    @archive_exam_subject.save
    redirect_to request.referer, :status => 303
  end

  def create_in_form
    @archive_exam_subject = ArchiveExamSubject.new(archive_exam_subject_params)
    @archive_exam_subject.save
    render :json => {:id=>@archive_exam_subject.id.to_s, :title=>@archive_exam_subject.title}.to_json ,:layout => false
  end

  def update
    @archive_exam_subject = ArchiveExamSubject.find(params[:id])
    @archive_exam_subject.update_attributes(archive_exam_subject_params)
    redirect_to request.referer, :status => 303
  end

  def toggle
    @archive_exam_subject = ArchiveExamSubject.find(params[:id])
    @archive_exam_subject.save!
    redirect_to request.referer, :status => 303
  end

  def delete_subjects
    subjects = ArchiveExamSubject.find(params[:ids].split(',')) rescue nil
    if subjects
      subjects.each(&:destroy)
    end
    redirect_to request.referer, :status => 303
  end

  private

  def archive_exam_subject_params
    params.require(:archive_exam_subject).permit!
  end

end
