class Admin::ArchiveExamTestTypesController < OrbitAdminController

  def initialize
    super
    @app_title = 'archive_exam'
  end

  def index
    @archive_exam_test_types = ArchiveExamTestType.all
    @url = admin_archive_exam_test_type_path(@archive_exam_test_types)
  end

  def create
    @archive_exam_test_type = ArchiveExamTestType.new(archive_exam_test_type_params)
    @archive_exam_test_type.save
    redirect_to request.referer, :status => 303
  end

  def create_in_form
    @archive_exam_test_type = ArchiveExamTestType.new(archive_exam_test_type_params)
    @archive_exam_test_type.save
    render :json => {:id=>@archive_exam_test_type.id.to_s, :title=>@archive_exam_test_type.title}.to_json ,:layout => false
  end

  def update
    @archive_exam_test_type = ArchiveExamTestType.find(params[:id])
    @archive_exam_test_type.update_attributes(archive_exam_test_type_params)
    redirect_to request.referer, :status => 303
  end

  def toggle
    @archive_exam_test_type = ArchiveExamTestType.find(params[:id])
    @archive_exam_test_type.save!
    redirect_to request.referer, :status => 303
  end

  def delete_test_types
    test_types = ArchiveExamTestType.find(params[:ids].split(',')) rescue nil
    if test_types
      test_types.each(&:destroy)
    end
    redirect_to request.referer, :status => 303
  end

  private

  def archive_exam_test_type_params
    params.require(:archive_exam_test_type).permit!
  end

end
